nix3-profile-wipe-history(1)

Warning: This program is experimental and its interface is subject to change.

Name
nix profile wipe-history - delete non-current versions of a profile

Synopsis
nix profile wipe-history [option…]

Examples

•   Delete all versions of the default profile older than 100 days:

    # nix profile wipe-history --profile /tmp/profile --older-than 100d
    removing profile version 515
    removing profile version 514

Description
This command deletes non-current versions of a profile, making it impossible to roll back to these versions. By default, all non-current versions are deleted. With --older-than Nd, all non-current versions older than N days are deleted.

Options

•   --dry-run
    Show what this command would do without doing it.

•   --older-than age
    Delete versions older than the specified age. age must be in the format Nd, where N denotes a number of days.

•   --profile path
    The profile to update.